
  <div class="overlay">

    <div class="center">
      <mat-spinner diameter=50
                   mode="indeterminate"
                   color="accent">
      </mat-spinner>
    </div>
  </div>





<style>
  .center {
    position: absolute;
    top: 50%;
    left: 50%;
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
  }

  .overlay{
    height:100vh;
    width:100%;
    background-color: rgba(0, 0, 0, 0.58);
    z-index:    10;
    top:        0;
    left:       0;
    position:   fixed;
  }
</style>
